Reformat the structure files
============================

.. note::

    | The structure file will be formatted according to a set of rules: empty line between each variable, short-hand notation whenever possible, attribute order, re-indentation (especially for Jinja2 templates), ...
    | **Path**: formatter
    | `*disabled*`
    | **Disabled**: if formatter is not set in "select for output" (step.output).



.. list-table::

   * - Variable
     - Description

   * - **formatter.line_width**

       `integer <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       --formatter.line_width

       **Environment variable**: ROUGAILCLI_FORMATTER.LINE_WIDTH
     - Maximum line size.

       **Default**: 120
